Service Manager Query Service List

Service Manager Query Service List
A query interface that returns a list of services that match certain criteria.

A query interface that returns a list of services that match certain criteria.

Besides a basic service name entry, an arbitrary list of matching locations can also be specified. The location array is assumed to be a list of AND expressions, ie, all locations must match for an entry to be considered a match. Regular expressions are not allowed in the query service.

Required privileges: Global.ServiceManagers

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/ServiceManager/{moId}/QueryServiceList
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case ServiceManager/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
QueryServiceListRequestType of type(s) application/json
Optional
{
    "serviceName": "string",
    "location": [
        "string"
    ]
}
string
serviceName
Optional

The name of the service to be located.

array of string
location
Optional

The list of location information that needs to match for a service to be considered a match.

Authentication
This operation uses the following authentication methods.
Responses
200

OK

[
    {
        "_typeName": "string",
        "serviceName": "string",
        "location": [
            "string"
        ],
        "service": {
            "_typeName": "string",
            "type": "string",
            "value": "string"
        },
        "description": "string"
    }
]
array of object
Optional

This data object represents essential information about a particular service.

The information is sufficient to be able to identify the service and retrieve the object implementing it.


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/sdk/vim25/{release}/ServiceManager/{moId}/QueryServiceList